%global icondir %{_datadir}/icons/hicolor
%global commit ab838667d53c71c6cf8ac94dd109fcd009460530
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:		miraclecast
Version:	1.0
Release:	1%{?dist}
Summary:	To connect external monitors to your system via WiFi(Miracast)

# src/dhcp/*: Released under the conditions of the GPLv2.
# src/shl_htable.[ch]: Released under the conditions of the LGPLv2+.
# Others licensed under LGPL but in fact LGPLv2+
License:	LGPLv2+ and GPLv2
URL:		https://github.com/albfan/miraclecast
Source0:        %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:	readline-devel
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  systemd-devel
BuildRequires:  glib2-devel

%description
Connect external monitors to your system via Wifi-Display specification,
also known as Miracast

%prep
%setup -q -n %{name}-%{version}

%build
./autogen.sh
%configure
%make_build

%check
make -k check

%install
%make_install
%{__install} -Dm644 res/miraclecast-completion %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%files
%doc README.md
# As the wpa.conf meant to be an example, I make it in doc to avoid security problem
%doc res/wpa.conf
%license COPYING
%license LICENSE_*
%{_bindir}/miracle*
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Sun Aug 13 2017 Zamir SUN <sztsian@gmail.com> - 1.0-1
- Initial miraclecast package
